# openssl_pkcs12_read

(PHP 5 >= 5.2.2, PHP 7)

openssl_pkcs12_read — Parse a PKCS#12 Certificate Store into an array

### Description

openssl_pkcs12_read ( string `$pkcs12` , array `&$certs` , string `$pass` ) : bool

openssl_pkcs12_read() parses the PKCS#12 certificate store supplied by `pkcs12` into a array named `certs`.

### Parameters

`pkcs12`

  The certificate store contents, not its file name.

`certs`

  On success, this will hold the Certificate Store Data.

`pass`

  Encryption password for unlocking the PKCS#12 file.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 openssl_pkcs12_read() example

`<?php
if (!$cert_store = file_get_contents("/certs/file.p12")) {
echo "Error: Unable to read the cert file\n";
exit;
}
if (openssl_pkcs12_read($cert_store, $cert_info, "my_secret_pass")) {
echo "Certificate Information\n";
print_r($cert_info);
} else {
echo "Error: Unable to read the cert store.\n";
exit;
}
?>`